Jump to content

Spout?


Recommended Posts

I am new here, so I don't know if this has been asked. But I was wondering if the tekkit launcher is compatible with spout. I have just started a new server that uses spout quite a lot, but I would like to use tekkit. Are they compatible, and if yes, how?

The new Launcher is actually spout based (based on the spoutcraft launcher I believe). But I don't know if it is compatible.

Link to comment
Share on other sites

The LAUNCHER (the thing that downloads the content) is a fork of Spoutcraft. There it ends. Tekkit does not work with Spout and from what I've been reading it won't be possible either. I see tekkit as a cross solution anyway combining the "dirty" modding of modloader with a custom client to download the files, until Spout releases and reached it's full capabilities that makes mods like IC or buildcraft possible.

Link to comment
Share on other sites

You could possibly mash a few things together. I'll have a look this evening and report back. Maybe.

You can't for the simple reason that the "Tekkit client" is a modified vanilla client.

It's not Spoutcraft.

You can try but nothing that requires Spoutcraft to be used will work - it's common sense.

Of course there are some plugins just using the SpoutPlugin API without requiring Spoutcraft.

You can use these plugins ;)

Link to comment
Share on other sites

You can't for the simple reason that the "Tekkit client" is a modified vanilla client.

It's not Spoutcraft.

You can try but nothing that requires Spoutcraft to be used will work - it's common sense.

Of course there are some plugins just using the SpoutPlugin API without requiring Spoutcraft.

You can use these plugins ;)

That makes sense. It a modded spoutcraft launcher but not spoutcraft modded Minecraft. Good to know, I hadn't actually thought about that.

Link to comment
Share on other sites

Spout plugins do NOT work with technic, tekkit or yogbox atm. We use spoutcraft's launcher, not the spout client itself. Technically the spout client could be added to our launcher but there too many issues with keeping it up-to-date with spout's launcher.

If you were to manually put spouts client in one of the modpack folder it should work.. but thats totally unsupported.

Link to comment
Share on other sites

Spout plugins do NOT work with technic, tekkit or yogbox atm. We use spoutcraft's launcher, not the spout client itself. Technically the spout client could be added to our launcher but there too many issues with keeping it up-to-date with spout's launcher.

If you were to manually put spouts client in one of the modpack folder it should work.. but thats totally unsupported.

Great job ignoring what I said and telling wrong information.

Not all SpoutPlugin required plugins depend on Spoutcraft. Some of them just use the libary and they will work fine.

A example is this plugin by a player of my server: http://dev.bukkit.org/server-mods/hidenames/

You need SpoutPlugin to hide the names but Spoutcraft is optional to see the player skins.

Link to comment
Share on other sites

Great job ignoring what I said and telling wrong information.

Not all SpoutPlugin required plugins depend on Spoutcraft. Some of them just use the libary and they will work fine.

A example is this plugin by a player of my server: http://dev.bukkit.org/server-mods/hidenames/

You need SpoutPlugin to hide the names but Spoutcraft is optional to see the player skins.

You know agelian is an admin right? In fact the admin that works with the launcher. I would avoid insults.

Link to comment
Share on other sites

All spout plugins DO require the spout server side plugin though. When this was on my server in the 1.1.4 version it broke industrialcraft, I tried several versions to no avail. Have you actually had the spout server side plugin activbe with no errors in the log and everything working? With what version tekkit and what version spout serverside plugins. Please provide information or STFU.

Link to comment
Share on other sites

All spout plugins DO require the spout server side plugin though. When this was on my server in the 1.1.4 version it broke industrialcraft, I tried several versions to no avail. Have you actually had the spout server side plugin activbe with no errors in the log and everything working? With what version tekkit and what version spout serverside plugins. Please provide information or STFU.

I did. With latest Tekkit and recommended SpoutPlugin ;)

And it worked fine.

Link to comment
Share on other sites

  • 4 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...